package com.quansu.heifengwuliu.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.databinding.DataBindingUtil;

import com.quansu.heifengwuliu.R;
import com.quansu.heifengwuliu.activity.AddressActivity;
import com.quansu.heifengwuliu.activity.OneLoginActivity;
import com.quansu.heifengwuliu.config.MIntentAction;
import com.quansu.heifengwuliu.databinding.WidgetAddressitemBinding;
import com.quansu.heifengwuliu.fragment.OwnerSingleFragment;
import com.ysnows.base.utils.B;
import com.ysnows.base.utils.UiSwitch;
import com.ysnows.base.view.BView;
import com.ysnows.base.view.BaseView;

/**
 * Created by shihuiyun
 * on 2020/9/11
 */
public class AddressItemView extends BaseLinearLayout {
    private BView view;


    private WidgetAddressitemBinding binding;



    public AddressItemView(Context context) {
        super(context);
    }

    public AddressItemView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);

    }

    public AddressItemView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        init(context, attrs, defStyleAttr);

    }
    private void init(Context context, AttributeSet attrs, int defStyleAttr) {
        if (context instanceof BaseView) {
            this.view = (BView) context;
        }
        binding= DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.widget_addressitem, this,true);



    }


    public void  setData(){

    }


    public TextView getTvCity(){
        return binding.tvCity;
    }
    public TextView getTvChoseTime(){
        return binding.tvChoseTime;
    }
    public LinearLayout getLlChoseAddress(){
        return binding.llChoseAddress;
    }
    public LinearLayout getLlChoseMap(){
        return binding.llChoseMap;
    }
    public EditText getEtName(){
        return binding.etName;
    }

    public EditText getEtPhone(){
        return binding.etPhone;
    }
    public EditText getEtDetailedAddress(){
        return binding.etDetailedAddress;
    }



}
